This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 135759 - network install fails for smc-ultra, module loads OK but anaconda says not
network install fails for smc-ultra, module loads OK but anaconda says not
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-14 16:38 EDT by Jón Fairbairn
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-14 16:40:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jón Fairbairn 2004-10-14 16:38:31 EDT
Description of problem:
Attempting a network install (either from diskboot.img on HD or from
home grown floppy boot image, in text mode), the installer prompts for
 selection of driver, loads the driver and then complains that it
can't find the device.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot diskboot.img
2. ... select network install
3. select smc-ultra, (set io parameters manually)
  
Actual results:
The installer repeats the "Unable to find any devices of the type
needed for this installation type" screen.

VC4 says
* loaded 8390 from /modules/modules.cgz
* loaded smc-ultra from /modules/modules.cgz
* inserted /tmp/8390.ko
* inserted /tmp/smc-ultra.ko
* load module set done

VC4 says
<4>smc-ultra.c: v2.02 2/3/98 Donald Becker ...
<4>eth%d: SMC Ultra at 0x300, 00 00 C0 A9 56 D3, IRQ 10 memory
0xcc000-0xcffff
<7>divert: allocating divert_blk for eth0

If I select back, go to the CDROM install, install the driver for
that, skip the media test it says "The following devices have been
found on your system: SMC Ultra, SMCEtherEZ ISA (smc-ultra)" and the
scsi card.

Furthermore, if I then wait until there's a bash prompt on VC2 I can
ifconfig eth0 manually and ping other hosts on the network, so the
driver is working OK.

Expected results:
Should prompt for network details etc.

Additional info:

Intel VS440 mo/bo
Comment 1 Jeremy Katz 2004-10-14 16:40:46 EDT
ISA network cards are no longer supported for installation.
Comment 2 Jón Fairbairn 2004-10-18 20:26:25 EDT
Given that there can't be all that many people still using them,
that's fair enough, I suppose. It seems a bit of a pity, though, as
one of the selling points of Linux for me was that it continued to
work with ancient hardware, when W$ didn't.

Would it be possible to modify the installer so that (for unsupported
hardware) there was an option of continuing anyway, under the
assumption that I know what works better than it does?

It's easy for me to mess around with initrds and kernel driver
modules, but hacking anaconda so that it accepts that a module as been
 correctly loaded is a different kettle of fish.

Note You need to log in before you can comment on or make changes to this bug.